<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>
<script language="JavaScript" type="text/javascript" src="frm_cliente.js"></script>


<link rel="stylesheet" href="../toastn/style.css">
<script src="../toastn/cute-alert.js"></script>


 <script language="javascript">
	function mascara(o,f){  
		v_obj=o;  
		v_fun=f;  
		setTimeout("execmascara()",1);  
	}  
	function execmascara(){   
		v_obj.value=v_fun(v_obj.value);
	}  
	function cpf(v){     
		v=v.replace(/([^0-9\.]+)/g,''); 
		v=v.replace(/^[\.]/,''); 
		v=v.replace(/[\.][\.]/g,''); 
		v=v.replace(/\.(\d)(\d)(\d)/g,'.$1$2'); 
		v=v.replace(/\.(\d{1,2})\./g,'.$1'); 
		v = v.toString().split('').reverse().join('').replace(/(\d{3})/g,'$1,');    
		v = v.split('').reverse().join('').replace(/^[\,]/,''); 
		return v;  
	}  
	function calcular(){
		var varMonto;
		var varIva;
		var varSubTotal;
		
		varMonto = document.getElementById("importe").value;	
		varMonto = varMonto.replace(/[\,]/g,''); 
		
		varIva = parseFloat(varMonto).toFixed(2) * 0.15;
		document.getElementById("iva").value = addCommas(parseFloat(varIva).toFixed(2)) ;
		
		varSubTotal = parseFloat(varMonto) + parseFloat(varIva);
		document.getElementById("subtotal").value = addCommas(parseFloat(varSubTotal).toFixed(2)) ;

	}
	
	function addCommas(nStr){
		nStr += '';
		x = nStr.split('.');
		x1 = x[0];
		x2 = x.length > 1 ? '.' + x[1] : '';
		var rgx = /(\d+)(\d{3})/;
		while (rgx.test(x1)) {
			x1 = x1.replace(rgx, '$1' + ',' + '$2');
		}
		return x1 + x2;
	}
	
</script>
</head>
<BODY onLoad="parametros.id.focus();">

<?php


include "../conexion.php";
$id="";$nombre="";$estado="";$direccion="";$telefono="";$email="";$contacto="";$documento="";$credito="";
$dias="";$cupo="";
							  
if(isset($_REQUEST["oculto"]))
{ 
   		$id=$_REQUEST["id"];   		
		$nombre=$_REQUEST["nombre"];   
		$direccion=$_REQUEST["direccion"];  
		$telefono=$_REQUEST["telefono"];  
		$email=$_REQUEST["email"];  
		$contacto=$_REQUEST["contacto"];  
		$estado=$_REQUEST["estado"];  
		$documento=$_REQUEST["documento"];  
		//$cupo=$_REQUEST["cupo"];  
		//$dias=$_REQUEST["dias"];
		$credito=$_REQUEST["credito"];  
		$cupo=str_replace(',','',$_REQUEST['cupo']);
		$dias=str_replace(',','',$_REQUEST['dias']);
		
		
		if($_REQUEST["oguardar"]==1)
			{ 
			$vl_contar=0;
				$sql_datoscontar=mysqli_query($conexion,"select count(*) as cantidad  from cliente
													     where nombre='".$nombre."'");
				 while($datos= mysqli_fetch_row($sql_datoscontar)){ $vl_contar=$datos[0];}
				 if($vl_contar>=1){$mensaje="Ya esta registrado el nombre"; $tipo="error";}
				 else
				  { 
				    if($cupo<>""){} else {$cupo=0;}
					if($dias<>""){} else {$dias=0;}
					 $sql_insert=mysqli_query($conexion,"INSERT INTO cliente (nombre,direccion,telefono,email,contacto,estado,documento,cupo,dias,credito)
									VALUES    ('".$nombre."','".$direccion."','".$telefono."','".$email."','".$contacto."','A','".$documento."',
												'".$cupo."','".$dias."','".$credito."')");
					 if ($sql_insert) {   $mensaje="Registro guardado con exito";$tipo="success";	}
					 else { $mensaje="Error al guardar el registro"; $tipo="error"; }
				  }	
				  
				  ?>				  
				<script>
				cuteToast({
					  type: "<?php echo $tipo; ?>", // or 'info', 'error', 'warning'
					  message: "<?php echo $mensaje; ?>",
					  timer: 3000
					})
				</script>
			   <?php					 
		}//fin guardar
		
		if($_REQUEST["omodificar"]==1)
			{ 
				  $vl_contar=0;
				 $sql_datoscontar=mysqli_query($conexion,"select count(*) as cantidad  from cliente
												where id=".$id."");
				  while($datos= mysqli_fetch_row($sql_datoscontar)){ $vl_contar=$datos[0];}
				 if($vl_contar==0){$mensaje="No existe el codigo a modificar";   $tipo="error";}
				 else
				  {
					  if($cupo<>""){} else {$cupo=0;}
					if($dias<>""){} else {$dias=0;}
				   $sql_insert=mysqli_query($conexion,"update  cliente  set   nombre='".trim($nombre)."',
											direccion='".trim($direccion)."',
											telefono='".trim($telefono)."',
											email='".trim($email)."',
											contacto='".trim($contacto)."',
											estado='".trim($estado)."',
											documento='".trim($documento)."',
											cupo='".$cupo."',
											dias='".$dias."',
											credito='".$credito."'
											where id=".$id."");
								 if ($sql_insert) 
									{   $mensaje="Registro modificado con exito";	 $tipo="success";	
									}
								 else
								 {$mensaje="Error modificado ";	 $tipo="error";	}
					  
					  ?>				  
					<script>
					cuteToast({
						  type: "<?php echo $tipo; ?>", // or 'info', 'error', 'warning'
						  message: "<?php echo $mensaje; ?>",
						  timer: 3000
						})
					</script>
				   <?php					 
			}//fin guardar
			}
	
	if($_REQUEST["onuevo"]==1)
		{ 
		   $id="";$nombre="";$estado="";$direccion="";$telefono="";$email="";$contacto="";$documento="";$credito="";
$dias="";$cupo="";

		}
		
}

if($_REQUEST["Obuscar"]==1)
{
  $id=$_REQUEST["id"];
  $sql_datosrs=mysqli_query($conexion,"SELECT nombre,direccion,telefono,email,contacto,estado,documento,dias,cupo,credito
  										 from cliente
							where id='".$_REQUEST["id"]."'");
  while($datosrs= mysqli_fetch_row($sql_datosrs))
  { 
	 $nombre=$datosrs[0];
	 $direccion=$datosrs[1];
	 $telefono=$datosrs[2];
	 $email=$datosrs[3];
	 $contacto=$datosrs[4];
	 $estado=$datosrs[5];
	 $documento=$datosrs[6];
	 //$dias=$datosrs[7];	 
	 //$cupo=number_format($datosrs[8]);
	 $credito=$datosrs[9];
	 $dias=number_format($datosrs[7],0,'.',','); 
	 $cupo=number_format($datosrs[8],0,'.',','); 
  }
}



?>
<form name="parametros" method="post" action="" >
<div id="informes" class="container text-center" style="width:95%;">
    <div class="panel panel-primary">
      <div class="panel-heading">CLIENTES</div>
      <div align="center">
      
  	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    <tr> 
                      <td width="83" height="0"> <div align="center">Codigo                        </div></td>
                      <td colspan="2"><input name="id" type="text"   id="id" value="<?php echo $id; ?>" 
                      class="form-control" data-placement="right"  style="width: 150px" 
							onKeyPress="if(event.keyCode==13){documento.focus();} "	
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                      <td width="134"><div align="center">Doc/Nit </div></td>
                      <td colspan="3"><input name="documento" type="text"   id="documento" value="<?php echo $documento; ?>" 
                      class="form-control" data-placement="right"  style="width: 150px" 
								onKeyPress="if(event.keyCode==13){nombre.focus();} "
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                    </tr>
                    <tr> 
                      <td height="0"><div align="center">Nombre                       </div></td>
                      <td width="496" height="0"><input name="nombre" type="text"   id="nombre" value="<?php echo $nombre; ?>" 
                      class="form-control" data-placement="right"  style="width: 100%"                       
								onKeyPress="if(event.keyCode==13){direccion.focus();} "
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                      <td width="89"><input name="Buscar" type="hidden" id="Buscar" value="Buscar" title="Clic para Guardar"  
                          class="btn btn-primary" onClick="obuscadato.value=1;" ></td>
                      <td height="0"><div align="center">Direccion </div></td>
                      <td height="0" colspan="3"><input name="direccion" type="text"   id="direccion" value="<?php echo $direccion; ?>" 
                      class="form-control" data-placement="right"  style="width: 100%"  
								onKeyPress="if(event.keyCode==13){telefono.focus();} "
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                    </tr>
                    <tr> 
                      <td height="1"><div align="center">Telefono                        </div></td>
                      <td height="1" colspan="2"><input name="telefono" type="text"   id="telefono" value="<?php echo $telefono; ?>"
                      class="form-control" data-placement="right"  style="width: 100%"  
								onKeyPress="if(event.keyCode==13){email.focus();} "
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                      <td height="1"><div align="center">Email </div></td>
                      <td height="1" colspan="3"><input name="email" type="text"   id="email" value="<?php echo $email; ?>" 
                       class="form-control" data-placement="right"  style="width: 100%" 
								onKeyPress="if(event.keyCode==13){contacto.focus();} "
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                    </tr>
                    <tr>
                      <td height="1"><div align="center">Contacto                        </div></td>
                      <td height="1" colspan="2"><input name="contacto" type="text"   id="contacto" value="<?php echo $contacto; ?>" 
                      class="form-control" data-placement="right"  style="width: 100%"  
								onKeyPress="if(event.keyCode==13){cupo.focus();} "
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                      <td height="1"><div align="center">Cupo </div></td>
                      <td height="1" colspan="3"><input name="cupo" type="text"   id="cupo" value="<?php echo $cupo; ?>"  autocomplete="off"
                      class="form-control" data-placement="right"  style="width: 150px" onkeypress='mascara(this,cpf)'  ></td>
                    </tr>
                    <tr> 
                      <td height="3"> <div align="center">Dias                        </div></td>
                      <td height="3" colspan="2"><input name="dias" type="text"   id="dias" value="<?php echo $dias; ?>"  autocomplete="off"
                      class="form-control" data-placement="right"  style="width: 150px" onkeypress='mascara(this,cpf)'  ></td>
                      <td height="3"><div align="center">Estado </div></td>
                      <td width="364" height="3"><select name="estado" id="estado" 
                        class="form-control" data-placement="right"  style="width: 150px" 
						 onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'" 
						 onkeypress="if(event.keyCode==13){guardar.focus();} ">
                        <?PHP
							  if($estado=="A"){echo "<option value='A' selected>Activo</option>";}
							  else {echo "<option value='A' >Activo</option>";}
							  if($estado=="I"){echo "<option value='I' selected>Inactivo</option>";}
							  else {echo "<option value='I' >Inactivo</option>";}
							?>
                      </select></td>
                      <td width="133"><div align="center">
					  
                       Credito
                       
                        </div></td>
                      <td width="245">
                       
                      <select name="credito" id="credito" 
                        class="form-control" data-placement="right"  style="width: 150px" 
						 onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'" 
						 >
                        <?PHP
							  if($credito=="N"){echo "<option value='N' selected>NO</option>";}
							  else {echo "<option value='N' >NO</option>";}
							  if($credito=="S"){echo "<option value='S' selected>SI</option>";}
							  else {echo "<option value='S' >SI</option>";}
							?>
                      </select>
                     
                      </td>
                    </tr>
                    <tr> 
                      <td colspan="7"><div align="center"> 
                          <input name="buscar" type="hidden" id="buscar" value="Busca" title="Clic para Buscar" class="btn" 
                          onClick="jq_busca_datos_parametros(document.parametros.id.value,'<?php echo $formulario;?>');" >
                          <input name="guardar" type="button" id="guardar" value="Guardar" title="Clic para Guardar"  
                          class="btn btn-primary" onClick="return pregunta_guardar();" >
                          <input name="modificar" type="button" id="modificar" value="Modificar" class="btn btn-primary" title="Clic para Modificar"
                          onClick="return pregunta_modificar();">
                          <input name="cancelar" type="button" id="cancelar" value="Cancelar" class="btn btn-primary" title="Clic para cancelar los datos" onClick="onuevo.value=1;submit();">
                          <input name="oguardar" type="hidden" id="oguardar">
                          <input name="Obuscar" type="hidden" id="Obuscar">
                          <input name="omodificar" type="hidden" id="omodificar">
                          <input name="onuevo" type="hidden" id="onuevo">
                          <input name="oculto" type="hidden" id="oculto">
                          
                          <br>
                        </div></td>
                    </tr>
                  </table>
  
  </div>
  </div>

 <?php
 
    echo "<center> <table id='example1' class='table table-bordered table-striped' style='font-size:12px;' cellpadding='0' cellspacing='0'  bordercolor='#cccccc'>";
	echo "<thead><tr>";
	echo "<th class='btn-primary' align='center' width='5%'>Codigo</th>";
	echo "<th class='btn-primary' align='center'>Nit/Doc</th>";
	echo "<th class='btn-primary' align='center'>Nombre</th>";
	echo "<th class='btn-primary' align='center'>Direccion</th>";
	echo "<th class='btn-primary' align='center'>Telefono</th>";
	echo "<th class='btn-primary' align='center'>Email</th>";
	echo "<th class='btn-primary' align='center'>Estado</th>";
	echo "<th class='btn-primary' align='center'>Cupo</th>";
	echo "<th class='btn-primary' align='center'>Dias</th>";
    echo "<th class='btn-primary' align='center'>Credito</th>";
	echo "</tr></thead><tbody>";	
	$nombre=str_replace('*','%',$nombre);
	$sql_datosresalida=mysqli_query($conexion,"SELECT id,nombre,direccion,telefono,email,contacto,estado,cupo,dias,documento,credito
										 from cliente
										 order by nombre asc");
	$c=1; 
	while($datos= mysqli_fetch_row($sql_datosresalida))//01
		{   
		   $id=$datos[0];
		    $nombre=$datos[1];
		   $direccion=$datos[2];
		   $telefono=$datos[3];
		   $email=$datos[4];
		   $contacto=$datos[5];
		   $estado=$datos[6];
		   //$cupo=$datos[7];
		   //$dias=$datos[8];
		   $documento=$datos[9];
		   $credito=$datos[10];
		   
		   $cupo=number_format($datos[7],0,'.',','); 
		   $dias=number_format($datos[8],0,'.',','); 
		   
		   if($estado=='A'){$nestado="Activo";}
		   if($estado=='I'){$nestado="Inactivo";}
		    
			echo " <tr >";
					  echo "<td align='center'><a href='frm_cliente.php?Obuscar=1&id=$id' class='btn btn-primary'>$id </td>";
					 echo "<td>".$documento."</td>";
					 echo "<td>".$nombre."</td>";
					 echo "<td>".$direccion."</td>";
					 echo "<td>".$telefono."</td>";
					 echo "<td>".$email."</td>";
					 echo "<td>".$nestado."</td>";
					 echo "<td align='right'>".$cupo."</td>";
					 echo "<td>".$dias."</td>";					
					  echo "<td>".$credito."</td>";
					 
					 echo "</tr>";
				$c=$c+1;
		 }
	 echo "</tbody></table></center>"; 
  
  
  ?>
 
</div>
  
 
 
<SCRIPT type=text/javascript>

function pregunta_guardar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
			if(retorno_valida==false)
			   {document.parametros.oguardar.value=0; 
				return false;
				}
			else
			  { document.parametros.oguardar.value=1; 
				document.parametros.submit(); 
				return true;
			  }
	   } 
	  else {
		document.parametros.oguardar.value=0;
		    return false; 
	  }
	})
}  

function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   { 
	   		document.parametros.omodificar.value=1; 
			document.parametros.submit(); 
			return true;
	   } 
	  else 
	   {
		 	document.parametros.omodificar.value=0;
		    return false; 
	  }
	})
}  

function valida_campos()
{   var mensaje='';
//return true;
		 if(document.parametros.nombre.value!=''){}
		 else {mensaje=mensaje + 'Nombre';    }
		 if(document.parametros.direccion.value!=''){}
		 else {mensaje=mensaje + 'Direccion';    }
		  if(document.parametros.documento.value!=''){}
		 else {mensaje=mensaje + 'Documento';    }

		if(document.parametros.nombre.value!='' && document.parametros.direccion.value!='' && document.parametros.documento.value!=''){return true;}
		else {
			  cuteAlert({
						  type: "error",
						  title: "SIVI",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
						
			  return false;
			 }


}

</script>

  <script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  
	if (tecla==46){
        return true;
    } 
	
	if (tecla==120 || tecla==88){
        return true;
    } 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>


<script src="../plugins/jquery/jquery.min.js"></script>
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins/jszip/jszip.min.js"></script>
<script src="../plugins/pdfmake/pdfmake.min.js"></script>
<script src="../plugins/pdfmake/vfs_fonts.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, 
	  "lengthChange": false, 
	  "autoWidth": false,
      "buttons": ["excel"],
	  "order": [ 0, 'desc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
  });
</script>


</form>

</body>
</html>
